#include "..\Public\CH554.H"                                                  
#include "..\Public\Debug.H"
//#include "./GPIO/GPIO.h"
#include "UART_TEST.h"
#include "UART1.H"
#include "stdio.h"
#include <string.h>

#pragma  NOAREGS

UINT8   cmmnctRcvDataOffset;
UINT8   gCmmnRevDataBuf[COM_REC_PACK_LENGTH];//ݻ

/*********************************************************************
 * @fn      UartRecIRQHandler
 *
 * @brief   жϴ
 *
 * @param   none
 *
 * @return  none
 */
void UartRecIRQHandler(UINT8 _recdata)
{
//    printf("data\n");
    if(cmmnctRcvDataOffset >= COM_REC_PACK_LENGTH)
    {
        cmmnctRcvDataOffset = 0;
    }
    gCmmnRevDataBuf[cmmnctRcvDataOffset++] = _recdata;
    if(cmmnctRcvDataOffset == 2 && (gCmmnRevDataBuf[0] != CMMNCT_HEADER1 || gCmmnRevDataBuf[1] != CMMNCT_HEADER2))
    {
        cmmnctRcvDataOffset = 0;
    }
}

/*********************************************************************
 * @fn      CommRevPacket
 *
 * @brief   ݴ
 *
 * @param   none
 *
 * @return  none
 */
UINT8 CommRevPacket(void)
{
    if(cmmnctRcvDataOffset >= 32)
    {
        EA = 0;
        cmmnctRcvDataOffset = 0;
        EA = 1;
        mDelaymS(120);
        printf("rec\n");
    }
    
    return 0;
}

/*********************************************************************
 * @fn      PeripheralUartInit
 *
 * @brief   ڳʼ
 *
 * @param   none
 *
 * @return  none
 */
void PeripheralUartInit(void)
{
    UART1Init();
}

